com.hazelcast.config

## Class DurableExecutorConfig

- java.lang.Object
- - com.hazelcast.config.DurableExecutorConfig

- All Implemented Interfaces:
    NamedConfig, DataSerializable, IdentifiedDataSerializable, com.hazelcast.nio.serialization.impl.Versioned

      public class DurableExecutorConfig
      extends Object
      implements IdentifiedDataSerializable, com.hazelcast.nio.serialization.impl.Versioned, NamedConfig

  Contains the configuration for an `DurableExecutorService`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_DURABILITY` Durability of Executor.
    `static int` | `DEFAULT_POOL_SIZE` The number of executor threads per Member for the Executor based on this configuration.
    `static int` | `DEFAULT_RING_BUFFER_CAPACITY` Capacity of RingBuffer (per partition).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DurableExecutorConfig()`
    `DurableExecutorConfig(DurableExecutorConfig config)`
    `DurableExecutorConfig(String name)`
    `DurableExecutorConfig(String name, int poolSize, int durability, int capacity)`
    `DurableExecutorConfig(String name, int poolSize, int durability, int capacity, String quorumName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getCapacity()` Gets the ring buffer capacity of the executor task.
    `int` | `getDurability()` Gets the durability of the executor
    `int` | `getFactoryId()` Returns DataSerializableFactory factory ID for this class.
    `int` | `getId()` Returns type identifier for this class.
    `String` | `getName()` Gets the name of the executor task.
    `int` | `getPoolSize()` Gets the number of executor threads per member for the executor.
    `String` | `getQuorumName()` Returns the quorum name for operations.
    `int` | `hashCode()`
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `DurableExecutorConfig` | `setCapacity(int capacity)` Sets the ring buffer capacity of the executor task.
    `DurableExecutorConfig` | `setDurability(int durability)` Sets the durability of the executor
    `DurableExecutorConfig` | `setName(String name)` Sets the name of the executor task.
    `DurableExecutorConfig` | `setPoolSize(int poolSize)` Sets the number of executor threads per member for the executor.
    `DurableExecutorConfig` | `setQuorumName(String quorumName)` Sets the quorum name for operations.
    `String` | `toString()`
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_POOL_SIZE

          public static final int DEFAULT_POOL_SIZE

      The number of executor threads per Member for the Executor based on this configuration.
      See Also:
        Constant Field Values

    - #### DEFAULT_RING_BUFFER_CAPACITY

          public static final int DEFAULT_RING_BUFFER_CAPACITY

      Capacity of RingBuffer (per partition).
      See Also:
        Constant Field Values

    - #### DEFAULT_DURABILITY

          public static final int DEFAULT_DURABILITY

      Durability of Executor.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DurableExecutorConfig

          public DurableExecutorConfig()

    - #### DurableExecutorConfig

          public DurableExecutorConfig(String name)

    - #### DurableExecutorConfig

          public DurableExecutorConfig(String name,
                                       int poolSize,
                                       int durability,
                                       int capacity)

    - #### DurableExecutorConfig

          public DurableExecutorConfig(String name,
                                       int poolSize,
                                       int durability,
                                       int capacity,
                                       String quorumName)

    - #### DurableExecutorConfig

          public DurableExecutorConfig(DurableExecutorConfig config)

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of the executor task.
      Specified by:
        `getName` in interface `NamedConfig`
      Returns:
        the name of the executor task

    - #### setName

          public DurableExecutorConfig setName(String name)

      Sets the name of the executor task.
      Specified by:
        `setName` in interface `NamedConfig`
      Parameters:
        `name` - the name of the executor task
      Returns:
        this executor config instance

    - #### getPoolSize

          public int getPoolSize()

      Gets the number of executor threads per member for the executor.
      Returns:
        the number of executor threads per member for the executor

    - #### setPoolSize

          public DurableExecutorConfig setPoolSize(int poolSize)

      Sets the number of executor threads per member for the executor.
      Parameters:
        `poolSize` - the number of executor threads per member for the executor
      Returns:
        this executor config instance

    - #### getDurability

          public int getDurability()

      Gets the durability of the executor
      Returns:
        the durability of the executor

    - #### setDurability

          public DurableExecutorConfig setDurability(int durability)

      Sets the durability of the executor
      Parameters:
        `durability` - the durability of the executor
      Returns:
        this executor config instance

    - #### getCapacity

          public int getCapacity()

      Gets the ring buffer capacity of the executor task. This is a per partition parameter, so total capacity of the ringbuffers will be partitionCount * capacity
      Returns:
        Ring buffer capacity of the executor task

    - #### setCapacity

          public DurableExecutorConfig setCapacity(int capacity)

      Sets the ring buffer capacity of the executor task.
      Parameters:
        `capacity` - Ring Buffer capacity of the executor task
      Returns:
        this executor config instance

    - #### getQuorumName

          public String getQuorumName()

      Returns the quorum name for operations.
      Returns:
        the quorum name

    - #### setQuorumName

          public DurableExecutorConfig setQuorumName(String quorumName)

      Sets the quorum name for operations.
      Parameters:
        `quorumName` - the quorum name
      Returns:
        the updated configuration

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getFactoryId

          public int getFactoryId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns DataSerializableFactory factory ID for this class.
      Specified by:
        `getFactoryId` in interface `IdentifiedDataSerializable`
      Returns:
        factory ID

    - #### getId

          public int getId()

      Description copied from interface: `IdentifiedDataSerializable`
      Returns type identifier for this class. It should be unique per DataSerializableFactory.
      Specified by:
        `getId` in interface `IdentifiedDataSerializable`
      Returns:
        type ID

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

    - #### equals

          public final boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.